package de.ivu.elect.business.person.entity;

import de.ivu.elect.jee.entity.EntityUtil;

public abstract class AbstractTag implements TagBase {
  private static final long serialVersionUID = 1L;

  protected java.lang.String preProcessName(java.lang.String neuerWert) {
    return neuerWert;
  }

  protected void preSetName(java.lang.String alterWert, java.lang.String neuerWert) {
  }

  protected void postSetName(java.lang.String alterWert, java.lang.String neuerWert) {
    setNameNormalisiert(EntityUtil.normalizeCaseAndDiacritics(neuerWert));
  }

}
